#include <stdio.h>
#include <stdlib.h>
int main() {
	long i,n,ind=0,j=0,max,p;
	scanf("%ld",&n);
	long a[n];
	for(i=0;i<n;i++){
		scanf("%ld",&a[i]);
	}
	max=a[0];
	while(1){
		for(i=0;(i+j)<n;i++){
			if(a[i+j]>=max){
				max=a[i+j];
				ind=i+j;
			}
		}
		if(ind==j){
			j++;
			ind=j;
			max=a[j];
		}
		else{
			p=a[j];
			a[j]=a[ind];
			a[ind]=p;
			break;
		}
		if(j==n-1){
			p=a[n-1];
			a[n-1]=a[n-2];
			a[n-2]=p;
			break;
		}
	}
	for(i=0;i<n;i++)printf("%ld ",a[i]);
	return 0;
}